SphinxClient::setFieldWeights
SphinxClient::setFilterFloatRange
SphinxClient
PHP Manual

# SphinxClient::setFilter

(PECL sphinx >= 0.1.0)

SphinxClient::setFilter — Add new integer values set filter

### 説明

public bool SphinxClient::setFilter ( string `$attribute` , array `$values` [, bool `$exclude` = false ] )

Adds new integer values set filter to the existing list of filters.

### パラメータ

`attribute`

  An attribute name.

`values`

  Plain array of integer values.

`exclude`

  If set to `TRUE`, matching documents are excluded from the result set.

### 返り値

成功した場合に `TRUE` を、失敗した場合に `FALSE` を返します。

### 参考

- SphinxClient::setFilterFloatRange
- SphinxClient::setFilterRange
- SphinxClient::resetFilters

SphinxClient::setFieldWeights
SphinxClient::setFilterFloatRange
SphinxClient
PHP Manual